package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.common.bean.params.BasicFileTypeParams;
import com.qmth.paper.library.common.entity.BasicFileType;

import java.util.List;

/**
 * @Description 其他文件类型 服务类
 */
public interface BasicFileTypeService extends IService<BasicFileType> {

    IPage<BasicFileType> pageData(Integer pageNumber, Integer pageSize);

    Long saveBasicFileType(BasicFileTypeParams params) throws IllegalAccessException;

    boolean deleteBasicFileTypeById(Long id);

    List<BasicFileType> listBasicFileType();

}
